package com.op.wms.service;

import java.util.List;
import com.op.wms.domain.OdsWhiteEmbryo;

/**
 * 白胚出库单Service接口
 * 
 * @author Open Platform
 * @date 2023-07-06
 */
public interface IOdsWhiteEmbryoService {
	/**
	 * 查询白胚出库单
	 * 
	 * @param ID 白胚出库单主键
	 * @return 白胚出库单
	 */
	public OdsWhiteEmbryo selectOdsWhiteEmbryoByID(String ID);

	/**
	 * 查询白胚出库单列表
	 * 
	 * @param odsWhiteEmbryo 白胚出库单
	 * @return 白胚出库单集合
	 */
	public List<OdsWhiteEmbryo> selectOdsWhiteEmbryoList(OdsWhiteEmbryo odsWhiteEmbryo);

	/**
	 * 新增白胚出库单
	 * 
	 * @param odsWhiteEmbryo 白胚出库单
	 * @return 结果
	 */
	public int insertOdsWhiteEmbryo(OdsWhiteEmbryo odsWhiteEmbryo);

	/**
	 * 修改白胚出库单
	 * 
	 * @param odsWhiteEmbryo 白胚出库单
	 * @return 结果
	 */
	public int updateOdsWhiteEmbryo(OdsWhiteEmbryo odsWhiteEmbryo);

	/**
	 * 批量删除白胚出库单
	 * 
	 * @param IDs 需要删除的白胚出库单主键集合
	 * @return 结果
	 */
	public int deleteOdsWhiteEmbryoByIDs(String[] IDs);

	/**
	 * 删除白胚出库单信息
	 * 
	 * @param ID 白胚出库单主键
	 * @return 结果
	 */
	public int deleteOdsWhiteEmbryoByID(String ID);
}
